/////////////////////////////////////////////////////////////////////////////
//Beispiel ohne Threads einfacheKreise aus Kapitel Nebenläufige Programmierung
/////////////////////////////////////////////////////////////////////////////

void setup() {
  background(255);
  noStroke();
  size(340, 340);
  frameRate(10);
}

/////////////////////////////////////////////////////////////////

void draw() {

  // male 100 Punkte
  for (int i=0; i<100; i++) {
    float x = random(-1, 1);
    float y = random(-1, 1);
    int px = (int)((x+1)/2*width);
    int py = (int)((y+1)/2*height);
    // liegt der Punkt ausserhalb des Kreises, male rot
    // ansonsten blau
    if (sqrt(sq(x)+sq(y))<0.8) fill(0, 0, 255);
    else fill(255, 0, 0);
    ellipse(px, py, 3, 3);
    
  }
}

/////////////////////////////////////////////////////////////////

void keyPressed() {
  save("tmp.png");
}

/////////////////////////////////////////////////////////////////